Форум программистов, компьютерный форум CyberForum.ru

Программирование Android

Войти
Регистрация
Восстановить пароль
 
LIBERALRUS
-39 / 0 / 0
Регистрация: 14.08.2016
Сообщений: 20
#1

Не могу собрать приложение в android studio 2.1 - Программирование Android

14.08.2016, 09:02. Просмотров 892. Ответов 13
Метки нет (Все метки)

Всем привет.
Вообщем установил я android studio 2.1,но при сборе приложения даже(Hello World) с родной формой гугл,выдает 61 ошибку.А при билде вообще 120.
На старых версиях все было нормально.
Что делать?
Лучшие ответы (1)
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
14.08.2016, 09:02
Здравствуйте! Я подобрал для вас темы с ответами на вопрос Не могу собрать приложение в android studio 2.1 (Программирование Android):

Как собрать android приложение из исходников? - Программирование Android
Здравствуйте. Скачал исходный код приложения на просторах гитхаба. https://github.com/afollestad/material-camera. В папке есть файл...

Android studio не заменяет приложение - Программирование Android
Меняю код(java) и компилирую итог в телефоне запускается старая версия приложения.. Иногда приходится удалять приложение чтобы запустить...

Скомпилировать приложение в Android Studio - Программирование Android
У меня есть небольшая просьба к вам. Мог бы мне кто помочь, мне нужно скомпелировать весь этот код, в само приложение для Android. У...

Приложение остановлено. Android Studio - Программирование Android
Написала приложение, потестила на эмуляторе -- все работало. Закинула apk на телефон (копировала в downloads на карту памяти), запустила --...

Приложение на Андроид Android studio - Программирование Android
Всем доброго времени суток! У меня не большая проблема, скоро предзащита дипломной работы 26 числа. Нужно создать приложение на Андроид,...

Не загружается приложение в эмулятор Android Studio - Программирование Android
Здравствуйте! Написал программу "Hello World" в Android Studio. Когда запускаю на выполнение через эмулятор, то программа в эмулятор...

Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
vxg
Модератор
3157 / 1959 / 218
Регистрация: 13.01.2012
Сообщений: 7,495
14.08.2016, 10:22 #2
LIBERALRUS, думаю без текста ошибок просто по их количеству диагноз никто не решится поставить...
LIBERALRUS
-39 / 0 / 0
Регистрация: 14.08.2016
Сообщений: 20
14.08.2016, 11:15  [ТС] #3
Не могу собрать приложение в android studio 2.1

Добавлено через 1 минуту
Помогите
Pablito
2473 / 1918 / 595
Регистрация: 12.05.2014
Сообщений: 6,742
Завершенные тесты: 1
14.08.2016, 11:54 #4
скриншот ниочем
LIBERALRUS
-39 / 0 / 0
Регистрация: 14.08.2016
Сообщений: 20
14.08.2016, 12:27  [ТС] #5
БЛИН И ЧТО ДЕЛАТЬ?
91,62,140 ОШИБОК,ТОЛЬКО СКАЧАЛ ANDROID STUDIO НИГДЕ НЕ ЛАЗИЛ ВСЕ В ДЕФОЛТЕ

Добавлено через 35 секунд
Как мне сделать APK ФАЙЛ МИНУЯ ОШИБКИ?
vxg
Модератор
3157 / 1959 / 218
Регистрация: 13.01.2012
Сообщений: 7,495
14.08.2016, 12:50 #6
LIBERALRUS, по скрину я бы не сказал что вы собираете хелоу ворлд - может что-то с версиями сдк намутили?
LIBERALRUS
-39 / 0 / 0
Регистрация: 14.08.2016
Сообщений: 20
14.08.2016, 12:50  [ТС] #7
Information:76 errors
Error:Execution failed for task ':app:transformClassesWithDexForDebug'.
> com.android.build.api.transform.TransformException: java.lang.RuntimeException: com.android.ide.common.process.ProcessException: java.util.concurrent.ExecutionException: com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command 'C:\Program Files\Java\jdk1.7.0_79\bin\java.exe'' finished with non-zero exit value 1
Error:java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0
Error: at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
:app:mergeDebugShaders UP-TO-DATE
Error: at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
Error:java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0
Error: at java.lang.ClassLoader.defineClass1(Native Method)
It currently has approximately 910 MB.
Error: at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
Error: at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
Information:See complete output in console
Error: at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
Error: at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
:appreBuild UP-TO-DATE
:apprepareDebugDependencies
:apprepareComAndroidSupportSupportV42340Library UP-TO-DATE
:appreReleaseBuild UP-TO-DATE
Error: at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
Error: at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
Error: at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
:appreDebugBuild UP-TO-DATE
:app:compileDebugSources UP-TO-DATE
:apprepareComAndroidSupportSupportVectorDrawable2340Library UP-TO-DATE
Error: at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
For more information see https://docs.gradle.org/current/user...vironment.html
:app:checkDebugManifest
Error: at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
Error: at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
Error: at java.security.AccessController.doPrivileged(Native Method)
Error: at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
Error: at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
:apprepareComAndroidSupportAppcompatV72340Library UP-TO-DATE
Error:Exception in thread "main"
Information:BUILD FAILED
Error: at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
Error: at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
Error: at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
To run dex in process, the Gradle daemon needs a larger heap.
:app:compileDebugRenderscript UP-TO-DATE
Error:java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0
:approcessDebugManifest UP-TO-DATE
Error: at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
Error: at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
Error: at java.security.AccessController.doPrivileged(Native Method)
Error: at java.lang.ClassLoader.defineClass1(Native Method)
Error:Exception in thread "main"
Error: at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
Error: at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
:apprepareComAndroidSupportAnimatedVectorDrawable2340Library UP-TO-DATE
Information:Total time: 3 mins 45.22 secs
Information:0 warnings
Error: at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
:app:compileDebugJavaWithJavac UP-TO-DATE
Error: at java.lang.ClassLoader.defineClass1(Native Method)
Error: at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
Error:java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0
Error:Exception in thread "main"
Error: at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
Error: at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
Error:Exception in thread "main"
Information:Gradle tasks [:app:assembleDebug]
:app:compileDebugAidl UP-TO-DATE
Error: at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
:app:generateDebugAssets UP-TO-DATE
Error: at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
:app:mergeDebugResources UP-TO-DATE
Error: at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
Error: at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
:app:generateDebugResValues UP-TO-DATE
:app:transformClassesWithDexForDebug FAILED
Error: at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
Error: at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
Error: at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
Error: at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
Error: at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
Error: at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
LIBERALRUS
-39 / 0 / 0
Регистрация: 14.08.2016
Сообщений: 20
14.08.2016, 12:53  [ТС] #8
Executing tasks: [:app:assembleDebug]

Configuration on demand is an incubating feature.
Incremental java compilation is an incubating feature.
:appreBuild UP-TO-DATE
:appreDebugBuild UP-TO-DATE
:app:checkDebugManifest
:appreReleaseBuild UP-TO-DATE
:apprepareComAndroidSupportAnimatedVectorDrawable2340Library UP-TO-DATE
:apprepareComAndroidSupportAppcompatV72340Library UP-TO-DATE
:apprepareComAndroidSupportSupportV42340Library UP-TO-DATE
:apprepareComAndroidSupportSupportVectorDrawable2340Library UP-TO-DATE
:apprepareDebugDependencies
:app:compileDebugAidl UP-TO-DATE
:app:compileDebugRenderscript UP-TO-DATE
:app:generateDebugBuildConfig UP-TO-DATE
:app:mergeDebugShaders UP-TO-DATE
:app:compileDebugShaders UP-TO-DATE
:app:generateDebugAssets UP-TO-DATE
:app:mergeDebugAssets UP-TO-DATE
:app:generateDebugResValues UP-TO-DATE
:app:generateDebugResources UP-TO-DATE
:app:mergeDebugResources UP-TO-DATE
:approcessDebugManifest UP-TO-DATE
:approcessDebugResources UP-TO-DATE
:app:generateDebugSources UP-TO-DATE
:app:incrementalDebugJavaCompilationSafeguard UP-TO-DATE
:app:compileDebugJavaWithJavac UP-TO-DATE
:app:compileDebugNdk UP-TO-DATE
:app:compileDebugSources UP-TO-DATE
:apprePackageMarkerForDebug
:app:transformClassesWithDexForDebug
To run dex in process, the Gradle daemon needs a larger heap.
It currently has approximately 910 MB.
For faster builds, increase the maximum heap size for the Gradle daemon to more than 2048 MB.
To do this set org.gradle.jvmargs=-Xmx2048M in the project gradle.properties.
For more information see https://docs.gradle.org/current/user...vironment.html

AGPBI: {"kind":"error","text":"java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0","sources":[{}]}
AGPBI: {"kind":"error","text":"java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0","sources":[{}]}
AGPBI: {"kind":"error","text":"java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.lang.ClassLoader.defineClass1(Native Method)","sources":[{}]}
AGPBI: {"kind":"error","text":"java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.lang.ClassLoader.defineClass1(Native Method)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.lang.ClassLoader.defineClass(ClassLoader.java:800)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.net.URLClassLoader.defineClass(URLClassLoader.java:449)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.net.URLClassLoader.access$100(URLClassLoader.java:71)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.lang.ClassLoader.defineClass(ClassLoader.java:800)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.lang.ClassLoader.defineClass1(Native Method)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.lang.ClassLoader.defineClass(ClassLoader.java:800)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.lang.ClassLoader.defineClass1(Native Method)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.lang.ClassLoader.defineClass(ClassLoader.java:800)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.net.URLClassLoader.defineClass(URLClassLoader.java:449)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.net.URLClassLoader$1.run(URLClassLoader.java:361)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.net.URLClassLoader.defineClass(URLClassLoader.java:449)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.net.URLClassLoader.access$100(URLClassLoader.java:71)","sources":[{}]}
AGPBI: {"kind":"error","text":"\tat java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)","sources":[{}]}
Emmk
72 / 72 / 21
Регистрация: 12.02.2016
Сообщений: 199
Завершенные тесты: 1
14.08.2016, 15:01 #9
Сообщение было отмечено автором темы, экспертом или модератором как ответ
Правый тык по проекту - Open Module Settings - Build Tools Version выберите 23.0.2 или ниже
LIBERALRUS
-39 / 0 / 0
Регистрация: 14.08.2016
Сообщений: 20
14.08.2016, 15:37  [ТС] #10
Где именно?!

Добавлено через 2 минуты
Как?

Добавлено через 3 минуты
Что делать?Помогите,61 ошибка вылезает.

Добавлено через 1 минуту
А где находиться файл apk?
Emmk
72 / 72 / 21
Регистрация: 12.02.2016
Сообщений: 199
Завершенные тесты: 1
14.08.2016, 15:54 #11
Правой кнопкой мыши по MyApplication2 слева в списке файлов проекта, Open Module Settings, далее в открывшемся окне в списке слева выберите MyApplication2 - Build Tools Version выберите 23.0.2 или ниже
LIBERALRUS
-39 / 0 / 0
Регистрация: 14.08.2016
Сообщений: 20
14.08.2016, 16:03  [ТС] #12
Enable ADB integration' to be enabled.
Emmk
72 / 72 / 21
Регистрация: 12.02.2016
Сообщений: 199
Завершенные тесты: 1
14.08.2016, 16:05 #13
В Tools - Android этот пункт
LIBERALRUS
-39 / 0 / 0
Регистрация: 14.08.2016
Сообщений: 20
14.08.2016, 16:38  [ТС] #14
Все кpасное с*ка все

Добавлено через 49 секунд
Скачал 1,5 гига что-бы е*бать мозги.
Все в кpасном все файлы

Добавлено через 59 секунд
ГУГЛ ДАУНЫ

Добавлено через 28 минут
ОГPОМНАЯ СЯБКА ТЕБЕ.
ОСТАЛАСЬ ОДНА ОШИБКА - IllegalArgumentException: Unable to locate adb
нЕМОГУ ЕГО ZAPUSTIT НА AVD
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
14.08.2016, 16:38
Привет! Вот еще темы с ответами:

Не могу запустить Android приложение. "Unable to resolve target 'android-8'" - Программирование Android
Не могу запустить Android приложение. Вроде всё установил, кучу всяких проблем решил загуглив, как их решить, ну вроде всё уже, и всё равно...

Android Studio: сменил картинку, но приложение показывает старую - Программирование Android
Загрузил в drawable png рисунок,когда поменял его на другой все еще отображается старая. что делать? кеш удалял,рибилд тоже делал - не...

Не могу импортировать библиотеку в Android Studio - Программирование Android
Как импортировать эту библиотеку https://github.com/navasmdc/MaterialDesignLibrary

Не могу установить android Studio на винду - Программирование Android
Здравствуйте! Я совсем запуталась и что-то сделала не так, видимо. Может не та версия студии? она же должна по другому выглядеть? :gcray:


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
Yandex
Объявления
14.08.2016, 16:38
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru